-- COMBAT_LOG_EVENT_UNFILTERED
function(
	event,
	timestamp,
	eventtype,
	hideCaster,
	srcGUID,
	srcName,
	srcFlags,
	srcRaidFlags,
	dstGUID,
	dstName,
	dstFlags,
	dstRaidFlags,
	spellID
)
	-- if aura_env.debug then rayActive = false end
	-- print(string.format("rayActive: %s, eventtype: %s", tostring(rayActive), tostring(eventtype)))
	if not aura_env.rayActive and eventtype == "SPELL_AURA_APPLIED" then
		-- if aura_env.debug then spellID = 197268 end
		if spellID == aura_env.spellID and srcGUID == UnitGUID("player") then
			if aura_env.debug then print("Ray applied") end

			aura_env.rayActive = true

			-- Reset values if new ray is cast
			aura_env.totalHealAbsorb = 0
			aura_env.totalDmgAbsorb = 0

			return true
		end
	end
end
